LVREDUCE(8)

NAME
lvreduce - reduce the size of a logical volume

SYNOPSIS
lvreduce [-A/--autobackup y/n] [-d/--debug] [-f/--force] [-h/-?/--help] {-l/--extents [-]LogicalExtentsNumber | -L/--size [-]LogicalVolumeSize[kKmMgGtT]} [-t/--test] [-v/--verbose] LogicalVolume[Path]

DESCRIPTION
lvreduce allows you to reduce the size of a logical volume. Be careful when reducing a logical volume's size, because data in the reduced part is lost!!!
You should therefore ensure that any filesystem on the volume is resized before running lvreduce so that the extents that are to be removed are not in use.
Shrinking snapshot logical volumes (see lvcreate(8) for information to create snapshots) is supported as well.
Sizes will be rounded if necessary - for example, the volume size must be an exact number of extents and the size of a striped segment must be a multiple of the number of stripes.

OPTIONS
See lvm for common options.

-f, --force
    Force size reduction without any question.

-l, --extents [-]LogicalExtentsNumber
    Reduce or set the logical volume size in units of logical extents. With the - sign the value will be subtracted from the logical volume's actual size and without it the will be taken as an absolute size.

-L, --size [-]LogicalVolumeSize[kKmMgGtT]
    Reduce or set the logical volume size in units of megabyte by default. A size suffix of k for kilobyte, m for megabyte, g for gigabyte or t for terabyte is optional. With the - sign the value will be subtracted from the logical volume's actual size and without it it will be taken as an absolute size.

Example
"lvreduce -l -3 vg00/lvol1" reduces the size of logical volume lvol1 in volume group vg00 by 3 logical extents.

SEE ALSO
lvchange(8), lvcreate(8), lvextend(8), lvm(8), lvresize(8), vgreduce(8)